summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author B. Watson2015-08-26 01:50:16 +0200
committer Willy Sudiarto Raharjo2015-08-26 01:50:16 +0200
commita85eee14a41f5a23360d82ef488f34b2fec8c76a (patch)
treea59a483df72afc9c85c9da4123bb798046bd15bf
parent0db9422a6cb79a11395523d2429e16a332f1397a (diff)
downloadslackbuilds-a85eee14a41f5a23360d82ef488f34b2fec8c76a.tar.gz
system/lz4: Added (compression algorithm).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/lz4/README9
-rw-r--r--system/lz4/lz4.SlackBuild87
-rw-r--r--system/lz4/lz4.info10
-rw-r--r--system/lz4/slack-desc19
4 files changed, 125 insertions, 0 deletions
diff --git a/system/lz4/README b/system/lz4/README
new file mode 100644
index 0000000000..f97be58647
--- /dev/null
+++ b/system/lz4/README
@@ -0,0 +1,9 @@
+lz4 (compression algorithm)
+
+LZ4 is lossless compression algorithm, providing compression speed at
+400 MB/s per core (0.16 Bytes/cycle). It also features an extremely fast
+decoder, with speed in multiple GB/s per core (0.71 Bytes/cycle). A high
+compression derivative, called LZ4_HC, is also provided. It trades CPU
+time for compression ratio.
+
+This build includes liblz4 and the command-line lz4 tools.
diff --git a/system/lz4/lz4.SlackBuild b/system/lz4/lz4.SlackBuild
new file mode 100644
index 0000000000..3d93faf593
--- /dev/null
+++ b/system/lz4/lz4.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+
+# Slackware build script for lz4
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=lz4
+VERSION=${VERSION:-r131}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || tar xvf $CWD/$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make \
+ CFLAGS="$SLKCFLAGS" \
+ PREFIX=/usr \
+ LIBDIR=/usr/lib$LIBDIRSUFFIX \
+ MANDIR=/usr/man/man1 \
+ DESTDIR=$PKG \
+ lib lz4programs install
+
+# Don't ship the static lib.
+rm -f $PKG/usr/lib$LIBDIRSUFFIX/*.a
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+DOCDIR=$PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $DOCDIR
+cp -a NEWS README* examples $DOCDIR
+
+# the library is BSD licensed, but the programs are GPL.
+cat programs/COPYING > $DOCDIR/LICENSE.programs.txt
+cat lib/LICENSE > $DOCDIR/LICENSE.lib.txt
+
+cat $CWD/$PRGNAM.SlackBuild > $DOCDIR/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/lz4/lz4.info b/system/lz4/lz4.info
new file mode 100644
index 0000000000..cbda65d364
--- /dev/null
+++ b/system/lz4/lz4.info
@@ -0,0 +1,10 @@
+PRGNAM="lz4"
+VERSION="r131"
+HOMEPAGE="http://cyan4973.github.io/lz4/"
+DOWNLOAD="https://github.com/Cyan4973/lz4/archive/r131.tar.gz"
+MD5SUM="42b09fab42331da9d3fb33bd5c560de9"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/system/lz4/slack-desc b/system/lz4/slack-desc
new file mode 100644
index 0000000000..b9c624ad7d
--- /dev/null
+++ b/system/lz4/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+lz4: lz4 (compression algorithm)
+lz4:
+lz4: LZ4 is lossless compression algorithm, providing compression
+lz4: speed at 400 MB/s per core (0.16 Bytes/cycle). It also features
+lz4: an extremely fast decoder, with speed in multiple GB/s per core
+lz4: (0.71 Bytes/cycle). A high compression derivative, called LZ4_HC,
+lz4: is also provided. It trades CPU time for compression ratio.
+lz4:
+lz4:
+lz4:
+lz4: